export default {
  props: {
    formConfig: {
      type: Object
    },
    tableConfig: {
      type: Object
    },
    model: {
      type: Object,
      default() { return {} }
    },
    config: {
      type: Object,
      default() { return {} }
    }
  },
  computed: {
    _config() {
      return Object.assign(this.defaultConfig, this.config)
    }
  },
  methods: {
    change() {
      if (this._config.change) {
        this._config.change(...arguments)
      }
      this.$emit('change', ...arguments)
    }
  }
}
