import store from '@/store'
import router from './router'
import NProgress from 'nprogress' // Progress 进度条
import 'nprogress/nprogress.css'// Progress 进度条样式
import { cookie, getSession } from '@/utils/storage'

store.dispatch('DetectLoginStatus').then(() => {
  // if (!cookie.get_user() || !cookie.get_reportFormsMenu()) {
  // console.log(!cookie.get_user())
  // console.log(!getSession('menu'))
  if (!cookie.get_user() || !getSession('menu')) {
    store.dispatch('GenerateRoutes').then(() => {
      router.addRoutes(store.getters.addRouters)
    })
  }
})

router.beforeEach((to, from, next) => {
  NProgress.start()
  next()
})

router.afterEach(() => {
  NProgress.done() // 结束Progress
})
