import request from '@/utils/request'
export function apiload(data) {
  return request({
    data,
    url: 'a/sys/sysModule/apiload'
  })
}
export function apidata(data) {
  const req = {
    data,
    url: 'a/sys/sysModule/apidata',
    headers: { 'Content-Type': 'application/json' }
  }
  if (process.env.NODE_ENV !== 'production' && process.env.BASE_URL === 'http://ota.tripto.cn/') {
    req.url = 'f/api/apidata'
    req.headers = null
  }
  return request(req)
}
