export default {
  props: {
    data: {
      type: Array,
      default() { return [] }
    },
    config: {
      type: Object,
      default() { return {} }
    },
    column: {
      type: Array,
      default() { return [] }
    },
    tableConfig: {
      type: Object,
      default() { return {} }
    },
    formConfig: Object
  },
  computed: {
    _config() {
      if (this.config.btn || this.config.btnList) {
        if (!this.config.className) {
          this.config.className = 'visible'
        } else {
          this.config.className += ' visible'
        }
      }
      if (this.config.btn) this.config.btn.size = 'mini'
      if (this.config.btnList && this.config.btnList.length) {
        this.config.btnList.forEach(e => {
          e.size = 'mini'
          if (this.config.module === 'group') {
            this.$set(e, 'display', 'inline')
          }
        })
      }
      return Object.assign({}, this.defaultConfig, this.config)
    }
  },
  data() {
    return {
      defaultConfig: {
        type: undefined,
        prop: undefined,
        index: undefined,
        label: undefined,
        width: undefined,
        fixed: undefined,
        align: 'center',
        sortBy: undefined,
        filters: undefined,
        sortable: undefined,
        minWidth: undefined,
        resizable: undefined,
        formatter: undefined,
        className: undefined,
        columnKey: undefined,
        selectable: undefined,
        sortMethod: undefined,
        sortOrders: undefined,
        headerAlign: undefined,
        renderHeader: undefined,
        filterMethod: undefined,
        filteredValue: undefined,
        filterMultiple: undefined,
        labelClassName: undefined,
        filterPlacement: undefined,
        reserveSelection: undefined,
        showOverflowTooltip: undefined
      }
    }
  }
}
